# WORLD BORDER
# Update World Border Size [Not When Paused]
execute @e[name=UHC,scores={STARTED=1,PAUSED=0,ENDED=0,GAMETIMER=0..}] ~ ~ ~ function worldborder/update


# GAME TIMERS
# Update Timers [Not when Paused]
scoreboard players add @e[name=UHC,scores={STARTED=1,PAUSED=0,ENDED=0}] GAMETIMER -1
scoreboard players add @e[name=UHC,scores={STARTED=1,PAUSED=0,ENDED=0,PVPTIME=1..}] PVPTIMER -1
# Increase Match Timer every minute once started
scoreboard players add @e[name=UHC,scores={STARTED=1,PAUSED=0,ENDED=0}] MATCHTIMER 1
# Deacrease Sudden Death Timer once game has ended
scoreboard players add @e[name=UHC,scores={STARTED=1,PAUSED=0,ENDED=0,GAMETIMER=..0}] SUDDENDEATH -1


# 20 MIN REMINDER
# Increase Episode Timer every Minute once started
scoreboard players add @e[name=UHC,scores={STARTED=1,PAUSED=0,ENDED=0,EPISODEWARN=1}] EPISODETIMER 1
execute @e[name=UHC,scores={EPISODEWARN=1,EPISODETIMER=20}] ~ ~ ~ title @a actionbar 20 Minute Reminder 
execute @e[name=UHC,scores={EPISODEWARN=1,EPISODETIMER=20}] ~ ~ ~ say §b20 Minute Reminder 
execute @e[name=UHC,scores={EPISODEWARN=1,EPISODETIMER=20}] ~ ~ ~ playsound block.bell.hit @a
scoreboard players set @e[name=UHC,scores={STARTED=1,PAUSED=0,ENDED=0,EPISODEWARN=1,EPISODETIMER=20..}] EPISODETIMER 0


# FIRE & FALL DAMAGE
# After 2 minutes from starting, turn fall and fire damage on
execute @e[name=UHC,scores={MATCHTIMER=2}] ~ ~ ~ gamerule falldamage true
execute @e[name=UHC,scores={MATCHTIMER=2}] ~ ~ ~ gamerule firedamage true
execute @e[name=UHC,scores={MATCHTIMER=2}] ~ ~ ~ title @e[type=player,scores={ALIVE=1}] actionbar Fire & Fall Damage are now Active
execute @e[name=UHC,scores={MATCHTIMER=2}] ~ ~ ~ say §aFire & Fall Damage are now Active


# ENABLE PVP
# Turn PVP on when timer reaches 0
execute @e[name=UHC,scores={PVPTIME=1..,PVPTIMER=0,PVP=0}] ~ ~ ~ 	gamerule pvp true
execute @e[name=UHC,scores={PVPTIME=1..,PVPTIMER=0,PVP=0}] ~ ~ ~ 	title @a title PVP Started
execute @e[name=UHC,scores={PVPTIME=1..,PVPTIMER=0,PVP=0}] ~ ~ ~ 	Say §aPVP has been enabled
execute @e[name=UHC,scores={PVPTIME=1..,PVPTIMER=0,PVP=0}] ~ ~ ~ 	playsound beacon.activate @a
scoreboard players set @e[name=UHC,scores={PVPTIME=1..,PVPTIMER=0,PVP=0}] PVP 1


# SUDDEN DEATH
# When game time runs out, after 5 minutes start sudden death
execute @e[name=UHC,scores={STARTED=1,PAUSED=0,ENDED=0,SUDDENDEATH=0}] ~ ~ ~ title @a title Sudden Death
execute @e[name=UHC,scores={STARTED=1,PAUSED=0,ENDED=0,SUDDENDEATH=0}] ~ ~ ~ say §aSudden Death has begun
execute @e[name=UHC,scores={STARTED=1,PAUSED=0,ENDED=0,SUDDENDEATH=0}] ~ ~ ~ playsound random.explode @a
execute @e[name=UHC,scores={STARTED=1,PAUSED=0,ENDED=0,SUDDENDEATH=0}] ~ ~ ~ spreadplayers 0 0 0 16 @a[scores={ALIVE=1}]
execute @e[name=UHC,scores={STARTED=1,PAUSED=0,ENDED=0,SUDDENDEATH=0}] ~ ~ ~ gamerule dodaylightcycle false
execute @e[name=UHC,scores={STARTED=1,PAUSED=0,ENDED=0,SUDDENDEATH=0}] ~ ~ ~ time set noon

