# Before match starts, keep players around UHC Building
execute @e[name=UHC,scores={STARTED=0}] ~ ~ ~ execute @e[name=UHCBUILDING] ~ ~ ~ tp @e[type=player,rm=64] @e[name=UHCBUILDING]
execute @e[name=UHC,scores={STARTED=0}] ~ ~ ~ gamemode adventure @a[m=!a,tag=!Admin]

# Make players alive before game starts
execute @e[name=UHC,scores={STARTED=0}] ~ ~ ~ scoreboard players set @e[type=player] ALIVE 1

# Update Info Sidebar
function scores/sidebar

# Update Health Sidebar
function scores/health

# Switch between Health & Info Sidebars every 10 seconds
scoreboard players add @e[name=UHC] SIDEBAR_TIME 1
execute @e[name=UHC,scores={SIDEBAR_TIME=1}] ~ ~ ~ scoreboard objectives setdisplay sidebar INFO
execute @e[name=UHC,scores={SIDEBAR_TIME=10,TEAM_GAME=0}] ~ ~ ~ scoreboard objectives setdisplay sidebar HEALTH
execute @e[name=UHC,scores={SIDEBAR_TIME=10,TEAM_GAME=1}] ~ ~ ~ scoreboard objectives setdisplay sidebar TEAM_INFO
execute @e[name=UHC,scores={SIDEBAR_TIME=15,TEAM_GAME=1}] ~ ~ ~ scoreboard objectives setdisplay sidebar TEAM_HEALTH
scoreboard players set @e[name=UHC,scores={SIDEBAR_TIME=20..}] SIDEBAR_TIME 0

# Start Delay: Wait 2 seconds before TPing people to each other in TEAM GAME after spread players
scoreboard players add @e[name=UHC,scores={STARTED=1,TEAM_GAME=1,PAUSED=0,ENDED=0}] START_DELAY 1
execute @e[name=UHC,scores={STARTED=1,PAUSED=0,ENDED=0,START_DELAY=5}] ~ ~ ~ function player/spread_players
execute @e[name=UHC,scores={STARTED=1,TEAM_GAME=1,PAUSED=0,ENDED=0,START_DELAY=10}] ~ ~ ~ function player/team_teleport


# Timer for players near the border
scoreboard players add @e[type=player,tag=OUTSIDE,scores={BORDERTIMER=1..}] BORDERTIMER -1

# Reset timer when back inside border
scoreboard players set @e[type=player,tag=!OUTSIDE,scores={BORDERTIMER=!10}] BORDERTIMER 10

# Border Detection
execute @e[name=UHC,scores={STARTED=1,START_DELAY=30}] ~ ~ ~ function player/border

# Game end when last player alive
execute @e[name=UHC,scores={STARTED=1,PAUSED=0,ENDED=0,PLAYERSLEFT=..1,TEAM_GAME=0}] ~ ~ ~ function UHCEnd

# Game ends when final team is alive
execute @e[name=UHC,scores={STARTED=1,PAUSED=0,ENDED=0,TEAMSLEFT=..1,TEAM_GAME=1}] ~ ~ ~ function UHCEnd


# If alive player is on top of UHC Build while game is on then spread back to ground
# Use radius from UHCBUILDING Entity located at 16 211 15
execute @e[name=UHC,scores={STARTED=1,ENDED=0,START_DELAY=30}] ~ ~ ~ execute @e[name=UHCBUILDING] ~ ~ ~ spreadplayers 0 0 0 32 @e[type=player,scores={ALIVE=1},r=64]


## TEAMS
# If no team then assing team 0
execute @e[name=UHC,scores={STARTED=0,TEAM_GAME=1}] ~ ~ ~ scoreboard players set @e[type=player,tag=!TEAM] TEAM 0
execute @e[name=UHC,scores={STARTED=0,TEAM_GAME=1}] ~ ~ ~ tag @e[type=player,tag=!TEAM,scores={TEAM=0}] add TEAM

# Before Match Starts set teams by standing in correct place
execute @e[name=UHC,scores={STARTED=0,TEAM_GAME=1}] ~ ~ ~ execute @e[name=UHCTEAM1] ~ ~ ~ title @e[type=player,scores={TEAM=!1},r=2] actionbar §cRed Team
execute @e[name=UHC,scores={STARTED=0,TEAM_GAME=1}] ~ ~ ~ execute @e[name=UHCTEAM1] ~ ~ ~ scoreboard players set @e[type=player,scores={TEAM=!1},r=2] TEAM 1

execute @e[name=UHC,scores={STARTED=0,TEAM_GAME=1}] ~ ~ ~ execute @e[name=UHCTEAM2] ~ ~ ~ title @e[type=player,scores={TEAM=!2},r=2] actionbar §eYellow Team
execute @e[name=UHC,scores={STARTED=0,TEAM_GAME=1}] ~ ~ ~ execute @e[name=UHCTEAM2] ~ ~ ~ scoreboard players set @e[type=player,scores={TEAM=!2},r=2] TEAM 2

execute @e[name=UHC,scores={STARTED=0,TEAM_GAME=1}] ~ ~ ~ execute @e[name=UHCTEAM3] ~ ~ ~ title @e[type=player,scores={TEAM=!3},r=2] actionbar §aGreen Team
execute @e[name=UHC,scores={STARTED=0,TEAM_GAME=1}] ~ ~ ~ execute @e[name=UHCTEAM3] ~ ~ ~ scoreboard players set @e[type=player,scores={TEAM=!3},r=2] TEAM 3

execute @e[name=UHC,scores={STARTED=0,TEAM_GAME=1}] ~ ~ ~ execute @e[name=UHCTEAM4] ~ ~ ~ title @e[type=player,scores={TEAM=!4},r=2] actionbar §bBlue Team
execute @e[name=UHC,scores={STARTED=0,TEAM_GAME=1}] ~ ~ ~ execute @e[name=UHCTEAM4] ~ ~ ~ scoreboard players set @e[type=player,scores={TEAM=!4},r=2] TEAM 4

execute @e[name=UHC,scores={STARTED=0,TEAM_GAME=1}] ~ ~ ~ execute @e[name=UHCTEAM5] ~ ~ ~ title @e[type=player,scores={TEAM=!5},r=2] actionbar §dPurple Team
execute @e[name=UHC,scores={STARTED=0,TEAM_GAME=1}] ~ ~ ~ execute @e[name=UHCTEAM5] ~ ~ ~ scoreboard players set @e[type=player,scores={TEAM=!5},r=2] TEAM 5

execute @e[name=UHC,scores={STARTED=0,TEAM_GAME=1}] ~ ~ ~ execute @e[name=UHCTEAM6] ~ ~ ~ title @e[type=player,scores={TEAM=!6},r=2] actionbar §6Brown Team
execute @e[name=UHC,scores={STARTED=0,TEAM_GAME=1}] ~ ~ ~ execute @e[name=UHCTEAM6] ~ ~ ~ scoreboard players set @e[type=player,scores={TEAM=!6},r=2] TEAM 6

execute @e[name=UHC,scores={STARTED=0,TEAM_GAME=1}] ~ ~ ~ execute @e[name=UHCTEAM7] ~ ~ ~ title @e[type=player,scores={TEAM=!7},r=2] actionbar §fWhite Team
execute @e[name=UHC,scores={STARTED=0,TEAM_GAME=1}] ~ ~ ~ execute @e[name=UHCTEAM7] ~ ~ ~ scoreboard players set @e[type=player,scores={TEAM=!7},r=2] TEAM 7

execute @e[name=UHC,scores={STARTED=0,TEAM_GAME=1}] ~ ~ ~ execute @e[name=UHCTEAM8] ~ ~ ~ title @e[type=player,scores={TEAM=!8},r=2] actionbar §7Gray Team
execute @e[name=UHC,scores={STARTED=0,TEAM_GAME=1}] ~ ~ ~ execute @e[name=UHCTEAM8] ~ ~ ~ scoreboard players set @e[type=player,scores={TEAM=!8},r=2] TEAM 8

function scores/teams


## SET TEAM CAPTAINS
execute @e[name=UHC,scores={STARTED=0,TEAM_GAME=1}] ~ ~ ~ scoreboard players reset * TEAM1_POS
execute @e[name=UHC,scores={STARTED=0,TEAM_GAME=1}] ~ ~ ~ scoreboard players reset * TEAM2_POS
execute @e[name=UHC,scores={STARTED=0,TEAM_GAME=1}] ~ ~ ~ scoreboard players reset * TEAM3_POS
execute @e[name=UHC,scores={STARTED=0,TEAM_GAME=1}] ~ ~ ~ scoreboard players reset * TEAM4_POS
execute @e[name=UHC,scores={STARTED=0,TEAM_GAME=1}] ~ ~ ~ scoreboard players reset * TEAM5_POS
execute @e[name=UHC,scores={STARTED=0,TEAM_GAME=1}] ~ ~ ~ scoreboard players reset * TEAM6_POS
execute @e[name=UHC,scores={STARTED=0,TEAM_GAME=1}] ~ ~ ~ scoreboard players reset * TEAM7_POS
execute @e[name=UHC,scores={STARTED=0,TEAM_GAME=1}] ~ ~ ~ scoreboard players reset * TEAM8_POS
scoreboard players set @e[name=UHC,scores={STARTED=0,TEAM_GAME=1}] TEAM1_POS 0
scoreboard players set @e[name=UHC,scores={STARTED=0,TEAM_GAME=1}] TEAM2_POS 0
scoreboard players set @e[name=UHC,scores={STARTED=0,TEAM_GAME=1}] TEAM3_POS 0
scoreboard players set @e[name=UHC,scores={STARTED=0,TEAM_GAME=1}] TEAM4_POS 0
scoreboard players set @e[name=UHC,scores={STARTED=0,TEAM_GAME=1}] TEAM5_POS 0
scoreboard players set @e[name=UHC,scores={STARTED=0,TEAM_GAME=1}] TEAM6_POS 0
scoreboard players set @e[name=UHC,scores={STARTED=0,TEAM_GAME=1}] TEAM7_POS 0
scoreboard players set @e[name=UHC,scores={STARTED=0,TEAM_GAME=1}] TEAM8_POS 0
execute @e[name=UHC,scores={STARTED=0,TEAM_GAME=1}] ~ ~ ~ execute @e[type=player] ~ ~ ~ function player/team_captains