tag @e[type=player] remove CLOSE
tag @e[type=player] remove INSIDE
tag @e[type=player] remove LOST

# Tag Players outside of the border
function worldborder/variations


# CLOSE, No longer tagged as close
tag @e[type=player,tag=!spectator,tag=!CLOSE] add CLOSEWARN
title @e[type=player,tag=CLOSEWARN] actionbar §c§lWARNING:§r You are close to the world border!
title @e[type=player,tag=CLOSEWARN,tag=CLOSE] actionbar §a§lSafe:§r You are more than 20 blocks away from the world border.
tag @e[type=player,tag=CLOSEWARN,tag=CLOSE] remove CLOSEWARN


# LOST, No longer tagged as lost
tag @e[type=player,tag=LOSTACTION,tag=LOST] remove LOSTACTION
tag @e[type=player,tag=!spectator,tag=!LOST] add LOSTACTION
tp @a[tag=LOSTACTION] @e[name=UHCBUILDING]
spreadplayers 0 0 0 50 @a[tag=LOSTACTION]
msg @e[type=player,tag=LOSTACTION] You are too far outside of the world border. Teleporting to centre.


# OUTSIDE, No longer tagged as INSIDE
# If player has INSIDE and OUTSIDE TAG then Clear Effects and remove tag
effect @e[type=player,tag=!spectator,tag=OUTSIDE,tag=INSIDE] wither 0 0 true
title @e[type=player,tag=!spectator,tag=OUTSIDE,tag=INSIDE] title Safe Zone
title @e[type=player,tag=!spectator,tag=OUTSIDE,tag=INSIDE] subtitle You're back inside the world border
tag @e[type=player,tag=INSIDE,tag=OUTSIDE] remove OUTSIDE

tag @e[type=player,tag=!spectator,tag=!INSIDE] add OUTSIDE

# If player outside of border and timer = 10
title @e[type=player,tag=OUTSIDE,scores={BORDERTIMER=10..}] title Turn Around!
title @e[type=player,tag=OUTSIDE,scores={BORDERTIMER=10..}] subtitle You're Outside of the World Border

title @e[type=player,tag=OUTSIDE,scores={BORDERTIMER=10}] actionbar You have 10 seconds before taking damage!
title @e[type=player,tag=OUTSIDE,scores={BORDERTIMER=9}] actionbar You will take damage in 9 seconds...
title @e[type=player,tag=OUTSIDE,scores={BORDERTIMER=8}] actionbar You will take damage in 8 seconds...
title @e[type=player,tag=OUTSIDE,scores={BORDERTIMER=7}] actionbar You will take damage in 7 seconds...
title @e[type=player,tag=OUTSIDE,scores={BORDERTIMER=6}] actionbar You will take damage in 6 seconds...
title @e[type=player,tag=OUTSIDE,scores={BORDERTIMER=5}] actionbar You will take damage in 5 seconds...
title @e[type=player,tag=OUTSIDE,scores={BORDERTIMER=4}] actionbar You will take damage in 4 seconds...
title @e[type=player,tag=OUTSIDE,scores={BORDERTIMER=3}] actionbar You will take damage in §c§l3§r seconds...
title @e[type=player,tag=OUTSIDE,scores={BORDERTIMER=2}] actionbar You will take damage in §c§l2§r seconds...
title @e[type=player,tag=OUTSIDE,scores={BORDERTIMER=1}] actionbar You will take damage in §c§l1§r seconds...
title @e[type=player,tag=OUTSIDE,scores={BORDERTIMER=..0}] actionbar Damage Penalty

# If player outside of border and timer = 0 then give damage
effect @e[type=player,tag=OUTSIDE,scores={BORDERTIMER=..0}] wither 3 1 true