scoreboard players reset * INFO

# Managed by Ticker
# Border Size [BORDERSIZE]
# Time Left [GAMETIMER]
# PVP Starting In X Minutes [PVPTIMER]

# World Border Size
# If game not started then update from settings
execute @e[name=UHC,scores={STARTED=0}] ~ ~ ~ scoreboard players operation @s BORDERSIZE = @s BORDERSTART


# If player tries to set PVP time above GAMETIME then set it to 0
scoreboard players operation @e[name=UHC] TIMECHECK = @e[name=UHC] GAMETIME
scoreboard players operation @e[name=UHC] TIMECHECK -= @e[name=UHC] PVPTIME
execute @e[name=UHC,scores={TIMECHECK=..0}] ~ ~ ~ title @a actionbar §cPVP Time is longer than Game Time!
execute @e[name=UHC,scores={TIMECHECK=..0}] ~ ~ ~ scoreboard players set @s PVPTIME 0


# Timers
# If game not started then update from settings
execute @e[name=UHC,scores={STARTED=0}] ~ ~ ~ scoreboard players operation @s GAMETIMER = @s GAMETIME
execute @e[name=UHC,scores={STARTED=0}] ~ ~ ~ scoreboard players operation @s PVPTIMER = @s PVPTIME

# Players Left
scoreboard players reset * PLAYERSLEFT
scoreboard players operation @e[name=UHC] PLAYERSLEFT += @e[type=player] ALIVE


# Teams Left
scoreboard players set @e[name=UHC] TEAMSLEFT 0
scoreboard players add @e[name=UHC,scores={TEAM1_NUM=1..}] TEAMSLEFT 1
scoreboard players add @e[name=UHC,scores={TEAM2_NUM=1..}] TEAMSLEFT 1
scoreboard players add @e[name=UHC,scores={TEAM3_NUM=1..}] TEAMSLEFT 1
scoreboard players add @e[name=UHC,scores={TEAM4_NUM=1..}] TEAMSLEFT 1
scoreboard players add @e[name=UHC,scores={TEAM5_NUM=1..}] TEAMSLEFT 1
scoreboard players add @e[name=UHC,scores={TEAM6_NUM=1..}] TEAMSLEFT 1
scoreboard players add @e[name=UHC,scores={TEAM7_NUM=1..}] TEAMSLEFT 1
scoreboard players add @e[name=UHC,scores={TEAM8_NUM=1..}] TEAMSLEFT 1


# Reset INFO
scoreboard players reset "§aWorld Border" INFO
scoreboard players reset "§bFinal Border" INFO
scoreboard players reset "§cGame Time" INFO
scoreboard players reset "§cMinutes Left" INFO
scoreboard players reset "§dPVP Time" INFO
scoreboard players reset "§dMinutes To PVP" INFO
scoreboard players reset "§dSudden Death" INFO
scoreboard players reset "§ePlayers Left" INFO
scoreboard players reset "§fPaused" INFO
scoreboard players reset "§fEnded" INFO
scoreboard players reset "§gMatch Time" INFO
scoreboard players reset "§6Teams Left" INFO
scoreboard players reset "§6Teams" INFO

# SHOW INFO
scoreboard players operation "§aWorld Border" INFO = @e[name=UHC] BORDERSIZE
execute @e[name=UHC,scores={STARTED=0}] ~ ~ ~ scoreboard players operation "§bFinal Border" INFO = @e[name=UHC] BORDEREND

execute @e[name=UHC,scores={STARTED=1}] ~ ~ ~ scoreboard players operation "§gMatch Time" INFO = @e[name=UHC] MATCHTIMER


execute @e[name=UHC,scores={STARTED=0}] ~ ~ ~ scoreboard players operation "§cGame Time" INFO = @e[name=UHC] GAMETIMER
execute @e[name=UHC,scores={STARTED=1,GAMETIMER=1..}] ~ ~ ~ scoreboard players operation "§cMinutes Left" INFO = @e[name=UHC] GAMETIMER

execute @e[name=UHC,scores={STARTED=0}] ~ ~ ~ scoreboard players operation "§dPVP Time" INFO = @e[name=UHC] PVPTIMER
execute @e[name=UHC,scores={STARTED=1,PVPTIME=!0,PVPTIMER=1..}] ~ ~ ~ scoreboard players operation "§dMinutes To PVP" INFO = @e[name=UHC] PVPTIMER

execute @e[name=UHC,scores={STARTED=1,GAMETIMER=..0,SUDDENDEATH=1..,SUDDENDEATH=..5}] ~ ~ ~ scoreboard players operation "§dSudden Death" INFO = @e[name=UHC] SUDDENDEATH

scoreboard players operation "§ePlayers Left" INFO = @e[name=UHC] PLAYERSLEFT
execute @e[name=UHC,scores={TEAM_GAME=1,STARTED=1}] ~ ~ ~ scoreboard players operation "§6Teams Left" INFO = @e[name=UHC] TEAMSLEFT
execute @e[name=UHC,scores={PAUSED=1}] ~ ~ ~ scoreboard players operation "§fPaused" INFO = @e[name=UHC] PAUSED
execute @e[name=UHC,scores={ENDED=1}] ~ ~ ~ scoreboard players operation "§fEnded" INFO = @e[name=UHC] ENDED

# If teams then get number of teams
# Get number of teams
scoreboard players set @e[name=UHC] NUM_TEAMS 0
execute @e[type=player,scores={TEAM=1},c=1] ~ ~ ~ scoreboard players add @e[name=UHC] NUM_TEAMS 1
execute @e[type=player,scores={TEAM=2},c=1] ~ ~ ~ scoreboard players add @e[name=UHC] NUM_TEAMS 1
execute @e[type=player,scores={TEAM=3},c=1] ~ ~ ~ scoreboard players add @e[name=UHC] NUM_TEAMS 1
execute @e[type=player,scores={TEAM=4},c=1] ~ ~ ~ scoreboard players add @e[name=UHC] NUM_TEAMS 1
execute @e[type=player,scores={TEAM=5},c=1] ~ ~ ~ scoreboard players add @e[name=UHC] NUM_TEAMS 1
execute @e[type=player,scores={TEAM=6},c=1] ~ ~ ~ scoreboard players add @e[name=UHC] NUM_TEAMS 1
execute @e[type=player,scores={TEAM=7},c=1] ~ ~ ~ scoreboard players add @e[name=UHC] NUM_TEAMS 1
execute @e[type=player,scores={TEAM=8},c=1] ~ ~ ~ scoreboard players add @e[name=UHC] NUM_TEAMS 1

execute @e[name=UHC,scores={TEAM_GAME=1,STARTED=0}] ~ ~ ~ scoreboard players operation "§6Teams" INFO = @e[name=UHC] NUM_TEAMS

















