# Setup GameRules
gamerule dodaylightcycle true
gamerule doentitydrops true
gamerule dofiretick true
gamerule doimmediaterespawn false
gamerule doinsomnia true
gamerule domobloot true
gamerule domobspawning true
gamerule doweathercycle false
gamerule drowningdamage true
gamerule falldamage false
gamerule firedamage false
gamerule keepinventory false
gamerule mobgriefing true
gamerule randomtickspeed 1
gamerule sendcommandfeedback false
gamerule showcoordinates true
gamerule showdeathmessages true
gamerule showtags false
gamerule spawnradius 1
gamerule tntexplodes true
time set 0

# Titles
title @a times 20 60 20

# Undead Spectators
execute @a[tag=spectator] ~ ~ ~ function player/revive

# Reset Timers
scoreboard players set @e[name=UHC] START_DELAY 0
scoreboard players set @e[name=UHC] EPISODETIMER 0
scoreboard players set @e[name=UHC] PLAYERSLEFT 0
scoreboard players operation @e[name=UHC] GAMETIMER = @e[name=UHC] GAMETIME
scoreboard players operation @e[name=UHC] PVPTIMER = @e[name=UHC] PVPTIME
scoreboard players set @e[name=UHC] TIMECHECK 0
scoreboard players operation @e[name=UHC] BORDERSIZE = @e[name=UHC] BORDERSTART
scoreboard players set @e[name=UHC] BORDERMINS 0
scoreboard players set @e[name=UHC] BORDERMINS_S 1
scoreboard players set @e[name=UHC] PAUSED 0
scoreboard players set @e[name=UHC] ENDED 0
scoreboard players set @e[name=UHC] SUDDENDEATH 5
scoreboard objectives setdisplay sidebar INFO
scoreboard players set @e[name=UHC] PVP 0

# Set PVP
execute @e[name=UHC,scores={PVPTIME=0}] ~ ~ ~ 	gamerule pvp true
scoreboard players set @e[name=UHC,scores={PVPTIME=0}] PVP 1
execute @e[name=UHC,scores={PVPTIME=1..}] ~ ~ ~ gamerule pvp false
scoreboard players set @e[name=UHC,scores={PVPTIME=1..}] PVP 0

# Give all players scores required
scoreboard players set @e[type=player] ALIVE 1
scoreboard players set @e[type=player] BORDERTIMER 10

# Start Timers
scoreboard players set @e[name=UHC] STARTED 1

# Reset Health and Effects
effect @a clear
effect @a instant_health 10 10 true
effect @a saturation 10 10 true

# Clear Inventories
clear @a

playsound raid.horn @a
title @a title UHC Begins
title @a subtitle §aLet's do this!

# Set Players to Survival
gamemode survival @a