# World border can be 5 different sizes and moves down to 5 different end points
# Need to work out the difference in start and end size and then the time taken to get there
# Run function from UHC entity to detect alive players x distance from it
# If too far away, get blindness and timer
# If timer gets to 0 then take damage

#scoreboard objectives add BORDERSTART dummy
#scoreboard objectives add BORDERSIZE dummy
#scoreboard objectives add BORDEREND dummy
#scoreboard objectives add BORDERTIMER dummy
#scoreboard objectives add BORDERDIFF dummy
#scoreboard objectives add BORDERINT dummy
#scoreboard objectives add BORDERDIST dummy

# GET COMPLICATED!
# Border Shrinks 5 times during the game

# Get Distance border must shrink
scoreboard players operation @e[name=UHC] BORDERDIFF = @e[name=UHC] BORDERSTART
scoreboard players operation @e[name=UHC] BORDERDIFF -= @e[name=UHC] BORDEREND

# Get number of minutes between each reduction
scoreboard players set SHRINKINT BORDERINT 5
scoreboard players operation @e[name=UHC] BORDERINT = @e[name=UHC] GAMETIME
scoreboard players operation @e[name=UHC] BORDERINT /= SHRINKINT BORDERINT

# Get distance to reduce each interval
scoreboard players operation @e[name=UHC] BORDERDIST = @e[name=UHC] BORDERDIFF
scoreboard players operation @e[name=UHC] BORDERDIST /= SHRINKINT BORDERINT

# So Shrink the world border by BORDERDIST every BORDERINT minutes
# ================================================================
# Add 1 to BORDERMINS every Minute
scoreboard players add @e[name=UHC] BORDERMINS 1

# Check if reached interval time by using maths!
scoreboard players operation @e[name=UHC] BORDERMINS_S = @e[name=UHC] BORDERINT
scoreboard players operation @e[name=UHC] BORDERMINS_S -= @e[name=UHC] BORDERMINS

# If BORDERMINS_S = 1 (1 minute before border shrink) Give warning
execute @e[name=UHC,scores={BORDERMINS_S=1}] ~ ~ ~ title @a actionbar The world border will be reduced in 1 minute!
execute @e[name=UHC,scores={BORDERMINS_S=1}] ~ ~ ~ say §aThe world border will be reduced in 1 minute!

# If BORDERMINS_S = 0 then shrink border and reset BORDERMINS to 0
scoreboard players operation @e[name=UHC,scores={BORDERMINS_S=0}] BORDERSIZE -= @e[name=UHC] BORDERDIST

# Play sound and title on shrink
execute @e[name=UHC,scores={BORDERMINS_S=0}] ~ ~ ~ title @a actionbar World border has reduced!
execute @e[name=UHC,scores={BORDERMINS_S=0}] ~ ~ ~ say §cWorld border has reduced!
execute @e[name=UHC,scores={BORDERMINS_S=0}] ~ ~ ~ playsound beacon.deactivate @a[scores={ALIVE=1}]

scoreboard players set @e[name=UHC,scores={BORDERMINS_S=0}] BORDERMINS 0
scoreboard players set @e[name=UHC,scores={BORDERMINS=0,BORDERMINS_S=0}] BORDERMINS_S 1

# Round Border Size to nearest 50 blocks
scoreboard players set ROUNDING BORDERSIZE 50
scoreboard players operation @e[name=UHC] BORDERSIZE /= ROUNDING BORDERSIZE
scoreboard players operation @e[name=UHC] BORDERSIZE *= ROUNDING BORDERSIZE